import "./tools/Object.fromEntries";
import type { Cx, Css } from "./types";
import type * as emotionSerialize from "@emotion/serialize";
import type * as emotionUtils from "@emotion/utils";
import type { EmotionCache } from "@emotion/cache";
export declare const createCssAndCxFactory: (params: {
    serializeStyles: typeof emotionSerialize.serializeStyles;
    insertStyles: typeof emotionUtils.insertStyles;
    getRegisteredStyles: typeof emotionUtils.getRegisteredStyles;
}) => {
    cssAndCxFactory: (params: {
        cache: EmotionCache;
    }) => {
        css: Css;
        cx: Cx;
    };
};
export declare function createUseCssAndCx(params: {
    serializeStyles: typeof emotionSerialize.serializeStyles;
    insertStyles: typeof emotionUtils.insertStyles;
    getRegisteredStyles: typeof emotionUtils.getRegisteredStyles;
    useEmotionCache(): EmotionCache;
}): {
    useCssAndCx: () => {
        css: Css;
        cx: Cx;
    };
};
